Transactions

The transaction model contains all the information about your transactions, such as their folio, concept, amounts, payment link, and applied payoffs. Use these endpoints to list transactions by date range and client external reference.

Properties

  • Name
    id
    Type
    string
    Details
    example: 019734bb-1f46-73bb-95d0-62e98a2f6247
    Description

    Transaction ID.

  • Name
    folio_number
    Type
    string
    Details
    example: TX-1001
    Description

    Transaction folio number.

  • Name
    total
    Type
    object
    Description

    Transaction total amount.

  • Name
    total.amount
    Type
    integer
    Details
    example: 125000
    Description

    Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).

  • Name
    total.currency
    Type
    string
    Details
    example: MXN
    Description

    ISO currency code.

  • Name
    pending
    Type
    object
    Description

    Pending transaction amount.

  • Name
    pending.amount
    Type
    integer
    Details
    example: 25000
    Description

    Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).

  • Name
    pending.currency
    Type
    string
    Details
    example: MXN
    Description

    ISO currency code.

  • Name
    for_apply
    Type
    object
    Description

    Amount available to apply.

  • Name
    for_apply.amount
    Type
    integer
    Details
    example: 25000
    Description

    Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).

  • Name
    for_apply.currency
    Type
    string
    Details
    example: MXN
    Description

    ISO currency code.

  • Name
    apply
    Type
    object
    Description

    Applied transaction amount.

  • Name
    apply.amount
    Type
    integer
    Details
    example: 100000
    Description

    Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).

  • Name
    apply.currency
    Type
    string
    Details
    example: MXN
    Description

    ISO currency code.

  • Name
    tx_date
    Type
    string
    Details
    nullable
    example: 2026-01-15T00:00:00.000000-06:00
    Description

    Transaction date.

  • Name
    concept
    Type
    string
    Details
    nullable
    example: Monthly payment
    Description

    Transaction concept.

  • Name
    is_payoff
    Type
    boolean
    Details
    example: false
    Description

    Whether the transaction is a payoff.

  • Name
    is_refund
    Type
    boolean
    Details
    example: false
    Description

    Whether the transaction is a refund.

  • Name
    refund_transaction_id
    Type
    string
    Details
    nullable
    example: null
    Description

    Refunded transaction ID.

  • Name
    is_settled
    Type
    boolean
    Details
    example: false
    Description

    Whether the transaction is fully settled.

  • Name
    account_id
    Type
    string
    Details
    example: 019734bb-1f46-73bb-95d0-62e98a2f6248
    Description

    Account ID associated with the transaction.

  • Name
    account
    Type
    object
    Description

    Account associated with the transaction.

  • Name
    account.type
    Type
    integer
    Details
    nullable
    enum: 1 | 2 | 3 | 4 | 5 |
    example: 1
    Description

    Account type.

  • Name
    account.id
    Type
    string
    Details
    example: 019734bb-1f46-73bb-95d0-62e98a2f6248
    Description

    Account ID.

  • Name
    account.display
    Type
    string
    Details
    example: MON-1001 - Juan Mejía
    Description

    Account display name.

  • Name
    payment_link
    Type
    object
    Details
    nullable
    Description

    Payment link used for the transaction.

  • Name
    payment_link.id
    Type
    string
    Details
    example: 019734bb-1f46-73bb-95d0-62e98a2f6251
    Description

    Payment link ID.

  • Name
    payment_link.folio_number
    Type
    string
    Details
    nullable
    example: LKP-1003
    Description

    Payment link folio number.

  • Name
    applied_payoffs
    Type
    array<object>
    Description

    Payoffs applied to the transaction.

  • Name
    applied_payoffs[].id
    Type
    string
    Details
    example: 019734bb-1f46-73bb-95d0-62e98a2f6250
    Description

    Payoff transaction ID.

  • Name
    applied_payoffs[].folio_number
    Type
    string
    Details
    nullable
    example: TX-1002
    Description

    Payoff transaction folio number.

  • Name
    applied_payoffs[].concept
    Type
    string
    Details
    nullable
    example: Payment application
    Description

    Payoff transaction concept.

  • Name
    applied_payoffs[].tx_date
    Type
    string
    Details
    nullable
    example: 2026-01-16T00:00:00.000000-06:00
    Description

    Payoff transaction date.

  • Name
    applied_payoffs[].applied_amount
    Type
    object
    Description

    Amount applied by the payoff.

  • Name
    applied_payoffs[].applied_amount.amount
    Type
    integer
    Details
    example: 25000
    Description

    Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).

  • Name
    applied_payoffs[].applied_amount.currency
    Type
    string
    Details
    example: MXN
    Description

    ISO currency code.


GET/api/v1/transactions

Get transactions

Gets transactions within the requested date range.

Required attributes

  • Name
    start_date
    Type
    string
    Details
    required
    example: 2026-01-01
    Description

    Start date in YYYY-MM-DD format.

  • Name
    end_date
    Type
    string
    Details
    required
    example: 2026-01-31
    Description

    End date in YYYY-MM-DD format.

Optional attributes

  • Name
    external_reference
    Type
    string
    Details
    optional
    example: client-200
    Description

    Filters transactions by client external reference.

  • Name
    page
    Type
    integer
    Details
    optional
    example: 1
    Description

    Page number.

Request

GET
/api/v1/transactions
curl -G https://api.cobrofacil.com/api/v1/transactions \
  -H "Authorization: Bearer {token}" \
  -d start_date=2026-01-01 \
  -d end_date=2026-01-31 \
  -d external_reference=client-200 \
  -d page=1

Response

{
  "current_page": 1,
  "data": [
    {
      "id": "019734bb-1f46-73bb-95d0-62e98a2f6247",
      "folio_number": "TX-1001",
      "total": {
        "amount": 125000,
        "currency": "MXN"
      },
      "pending": {
        "amount": 25000,
        "currency": "MXN"
      },
      "for_apply": {
        "amount": 25000,
        "currency": "MXN"
      },
      "apply": {
        "amount": 100000,
        "currency": "MXN"
      },
      "tx_date": "2026-01-15T00:00:00.000000-06:00",
      "concept": "Monthly payment",
      "is_payoff": false,
      "is_refund": false,
      "refund_transaction_id": null,
      "is_settled": false,
      "account_id": "019734bb-1f46-73bb-95d0-62e98a2f6248",
      "account": {
        "type": 1,
        "id": "019734bb-1f46-73bb-95d0-62e98a2f6248",
        "display": "MON-1001 - Juan Mejía"
      },
      "payment_link": {
        "id": "019734bb-1f46-73bb-95d0-62e98a2f6251",
        "folio_number": "LKP-1003"
      },
      "applied_payoffs": [
        {
          "id": "019734bb-1f46-73bb-95d0-62e98a2f6250",
          "folio_number": "TX-1002",
          "concept": "Payment application",
          "tx_date": "2026-01-16T00:00:00.000000-06:00",
          "applied_amount": {
            "amount": 25000,
            "currency": "MXN"
          }
        }
      ]
    }
  ],
  "first_page_url": "https://api.cobrofacil.com/api/v1/transactions?page=1",
  "from": 1,
  "last_page": 1,
  "last_page_url": "https://api.cobrofacil.com/api/v1/transactions?page=1",
  "links": [
    {
      "url": "https://api.cobrofacil.com/api/v1/transactions?page=1",
      "label": "1",
      "page": 1,
      "active": true
    },
    {
      "url": null,
      "label": "pagination.previous",
      "page": null,
      "active": false
    },
    {
      "url": null,
      "label": "pagination.next",
      "page": null,
      "active": false
    }
  ],
  "next_page_url": null,
  "path": "https://api.cobrofacil.com/api/v1/transactions",
  "per_page": 25,
  "prev_page_url": null,
  "to": 1,
  "total": 1
}

Was this page helpful?